POST
/demandshopCreate Demand Shop
This API call creates templates that help the user to call all mandatory parameters (shopName, horizon, and startDate along with either of the permuted parameters listed below) that are used to filter the hotel demand dataset. Once defined, it can be called as and when required or even be linked to a Schedule.
POST
/demandshopMandatory Fields
- shopName
- startDate
- horizon
Important Notes
Search Criteria - Permuted Parameters:
- hotelCode, shopName, horizon, and startDate
- city, shopName, horizon, and startDate
- country, shopName, horizon, and startDate
- city and country, shopName, horizon, and startDate
Parameter Details:
- shopName: Your custom name for the demandShopId.
- horizon: How many consecutive days from the call date to retrieve data for (days out). The maximum value for the horizon is 365.
- startDate: Start date for the data retrieval.
Format: "2021-10-02" - estimatedAttendee - Attendee count range or value.
Format:- Range value - 100-500
- Min value - <500
- Max value - >500
- Exact value - 500
- category - A string containing category codes. It can be a number, a range, or both separated by commas.
Example: { "category": "2,4-5" } - subCategory - A string containing subCategory codes. It can be a number, a range, or both separated by commas.
Example: { "subCategory": "2,7,10-15" }
Parameter Details
| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | Required | none |
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 201 | Created | Created | |
| 400 | Bad Request | Bad Request | None |
| 401 | Unauthorized | Unauthorized | None |
| 429 | Too Many Requests | Too Many Requests | None |
| 500 | Internal Server Error | Internal Server Error | None |
Example Request
# You can also use wget
curl -X POST /demandshop \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'Body parameter
{
"shopName": "",
"hotelCode": 0,
"city": "",
"country": "",
"startDate": "2025-05-06",
"horizon": 0,
"estimatedAttendee": "",
"proximity": 0,
"category": "0",
"subCategory": "0"
}Example responses
201 Response
{
"message": "Hotel demand shop created successfully",
"demandShopId": 36418
}Example request
{
"shopName": "Music Festival Shop",
"city": "Surampalem",
"country": "Romania",
"startDate": "2026-04-01",
"horizon": 365,
"hotelCode": 1,
"estimatedAttendee": ">1000",
"category": "2,4",
"subCategory": "1,7,10-15"
}Need Support?
Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.